Rensei docs
API ReferenceWorker Protocol

Release specific file locks

Release specific file locks - Rensei REST API operation reference.

POST
/api/sessions/{id}/files/release

Authorization

headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Path Parameters

id*string

Request Body

application/json
  1. body
filePaths*array<string>

Response Body

Files released.

application/json
  1. response
released?integer
Example Request
curl -X POST 'https://app.rensei.ai/api/sessions/string/files/release' \  -H 'Content-Type: application/json' \  -d '{  "filePaths": [    "string"  ]}'
Example Response
{  "released": 0}